Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.invocation.response
Class ErrorResponse

    java.lang.Object
      org.jboss.portal.portlet.invocation.response.PortletInvocationResponse
          org.jboss.portal.portlet.invocation.response.ErrorResponse

    public class ErrorResponse

extends PortletInvocationResponse

Application level error.

Version:
  $Revision: 7395 $
Author:
  Julien Viet

Constructor Summary
`ErrorResponse(java.lang.String message)`
`ErrorResponse(java.lang.String message, java.lang.Throwable cause)`
`ErrorResponse(java.lang.Throwable cause)`

Method Summary
`java.lang.Throwable` | `getCause()` The throwable.
`java.lang.String` | `getMessage()` The logged message.
`void` | `logErrorTo(org.apache.log4j.Logger log, java.lang.String logMessage)` Logs an error message to the specified logger, using either the message or this ErrorResult's Throwable if available.
`java.lang.String` | `toHTML()` Provides an HTML description of the error, using either the message or the encapsulated Throwable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorResponse

    public ErrorResponse(java.lang.Throwable cause)

### ErrorResponse

    public ErrorResponse(java.lang.String message,
                         java.lang.Throwable cause)

### ErrorResponse

    public ErrorResponse(java.lang.String message)

Method Detail

### getCause

    public java.lang.Throwable getCause()

  The throwable. Can be a null object.

### getMessage

    public java.lang.String getMessage()

  The logged message.

### logErrorTo

    public void logErrorTo(org.apache.log4j.Logger log,
                           java.lang.String logMessage)

  Logs an error message to the specified logger, using either the message or this ErrorResult's Throwable if available.

  Parameters:
    `log` -
    `logMessage` -

### toHTML

    public java.lang.String toHTML()

  Provides an HTML description of the error, using either the message or the encapsulated Throwable.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.